---
title: asin
description: arc-sine function
categories:
 - object
pdcategory: cyclone, Data Math
arguments:
- type: float
  description: initially stored value
  default: 0
inlets:
  1st:
  - type: bang
    description: output the arc-cosine of stored value
  - type: float
    description: input to arc-cosine function
outlets:
  1st:
  - type: float
    description: the arc-cosine of the input

draft: false
---

Use [asin~] to output the arc-sine of a given number.

